from PyQt5 import QtCore, QtWidgets, QtGui
from PyQt5.QtCore import Qt, QMimeData
from PyQt5.QtWidgets import QTreeWidgetItem, QFrame, QFileDialog, QMessageBox
from PyQt5.QtGui import QDrag, QFont

import ListItem

class ChildListItem(ListItem.ListItem):
    def __init__(self, name, id, src, unit, row):
        super(ChildListItem, self).__init__(name, id, src, unit, row)
        self.main_tab = 10     # Unique tab name
        self.sub_tab = 10     # Unique tab name
        self.parent = ''
        self.parent_id = ''


    def id(self):
        return self.id


    def set_parent(self, parent):
        self.parent = parent


    def set_parent_id(self, parent_id):
        self.parent_id = parent_id


    def get_components(self):
        return(self.name, self.id, self.src, self.unit, self.row)


    def row(self):
        '''
        Returns the row (starting from 0) of the selected item.
        '''
        return self.row

    def setSelectable(self):
        pass

    def select(self):
        self.setSelected(True)

    def deselect(self):
        self.setSelected(False)


    def disable(self):
        self.setFlags(Qt.NoItemFlags)


    def enable(self):
        self.setFlags(Qt.ItemIsEnabled | Qt.ItemIsSelectable)
